Bug 854903 - It is not possible to create Child resource of Security Settings for EAP
It is not possible to create Child resource of Security Settings for EAP
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
i386 Linux
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-09-06 05:16 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:16:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
securitySettings (204.79 KB, image/png)
2012-09-06 05:16 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-09-06 05:16:52 EDT
Created attachment 610234 [details]
securitySettings

Description of problem:
Security Settings Child resource page is broken with doesn't allow to create a child resource for Security Settings in EAP (AS7)

Version-Release number of selected component (if applicable):
JON 3.1.1 CR2
EAP 6.0.0 GA

How reproducible:
always

Steps to Reproduce:
1. Install and start EAP server in full-ha mode
2. Inventory EAP server in JON 
3. Go to Messaging-> default
4. Click on Create Child resource -> Security Settings (Create New Resource of Type [Security Setting] window is open)
5. Fill resource name in poped up window -> click Next
  
Actual results:
it is configure corresponding settings and click Finish - to create the resource

Expected results:
Configuration settings are not show, Finish button is not active. It is not possible to create a resource.

Additional info:
please get attached screenshot
Comment 1 Stefan Negrea 2012-09-07 11:25:15 EDT
This issue it is not limited to the AS7 plugin. It affects creation of any resource that does not have configuration properties. 

It is important to be able to create such resources because they can have a full subtree of resources (several layers deep) but the resource itself does not have any configuration.
Comment 3 Armine Hovsepyan 2013-05-27 11:16:44 EDT
verified.
build: ff37cd9

it is possible to create the resource without configuration.

"subsystem=messaging,hornetq-server=default,security-setting=res" is created.
Comment 4 Heiko W. Rupp 2013-08-31 06:16:53 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.